System.ServiceModel 4.0.0.0 System.ServiceModel.ServiceContract(Name="IPeerResolverContract", Namespace="http://schemas.microsoft.com/net/2006/05/peer/resolver", SessionMode=System.ServiceModel.SessionMode.Allowed)

Implementors of custom peer resolver services should consider deriving from the base

type and overriding the virtual methods defined on it.

Defines a contract for the basic operations of a peer resolver service.

- Method
  4.0.0.0
  System.ServiceModel.OperationContract(Action="http://schemas.microsoft.com/net/2006/05/peer/resolver/GetServiceSettings", IsOneWay=false, Name="GetServiceInfo", ReplyAction="http://schemas.microsoft.com/net/2006/05/peer/resolver/GetServiceSettingsResponse")
  System.ServiceModel.PeerResolvers.ServiceSettingsResponseInfo To be added.

  Obtains the settings for a peer resolver service.

  that contains information about the peer resolver service.

- Method
  4.0.0.0
  System.ServiceModel.OperationContract(Action="http://schemas.microsoft.com/net/2006/05/peer/resolver/Refresh", IsOneWay=false, Name="Refresh", ReplyAction="http://schemas.microsoft.com/net/2006/05/peer/resolver/RefreshResponse")
  System.ServiceModel.PeerResolvers.RefreshResponseInfo ``

  A "refresh" of an entry is implemented by updating the supplied entry's expiry timestamp. All information used to uniquely identify the entry must be supplied in the object supplied to this method.

  Refreshes the expiry for an entry in the peer resolver service's registration lookup table.

  that contains the newly refreshed registration entry.

  object that contains the mesh ID and the registration ID of the entry to refresh in the peer resolver service's registration lookup table.
- Method
  4.0.0.0
  System.ServiceModel.OperationContract(Action="http://schemas.microsoft.com/net/2006/05/peer/resolver/Register", IsOneWay=false, Name="Register", ReplyAction="http://schemas.microsoft.com/net/2006/05/peer/resolver/RegisterResponse")
  System.ServiceModel.PeerResolvers.RegisterResponseInfo ``

  This method is used to add a peer node's registration information to the lookup table used by the peer resolver service.

  Registers a peer node with the custom peer resolver service.

  that contains a copy of the entry added to the peer resolver service's registration lookup table.

  that contains information about the peer node to register with the peer resolver service.
- Method
  4.0.0.0
  System.ServiceModel.OperationContract(Action="http://schemas.microsoft.com/net/2006/05/peer/resolver/Resolve", IsOneWay=false, Name="Resolve", ReplyAction="http://schemas.microsoft.com/net/2006/05/peer/resolver/ResolveResponse")
  System.ServiceModel.PeerResolvers.ResolveResponseInfo `` To be added.

  Returns a list of known endpoints for a registration entry.

  that contains the endpoints for the registration entry in the lookup table that matches the information supplied in the parameter.

  that contains information on the peer node for which endpoints, if known, are to be looked up by the peer resolver service.
- Method
  4.0.0.0
  System.ServiceModel.OperationContract(Action="http://schemas.microsoft.com/net/2006/05/peer/resolver/Unregister", IsOneWay=false, Name="Unregister")
  System.Void ``

  No value is returned by this operation.

  Removes a registration from the lookup table for a peer resolver service.

  that contains the information used to uniquely identify the peer node to remove from the registration lookup table.
- Method
  4.0.0.0
  System.ServiceModel.OperationContract(Action="http://schemas.microsoft.com/net/2006/05/peer/resolver/Update", IsOneWay=false, Name="Update", ReplyAction="http://schemas.microsoft.com/net/2006/05/peer/resolver/UpdateResponse")
  System.ServiceModel.PeerResolvers.RegisterResponseInfo `` To be added.

  Updates the entry for a specific peer node in the peer resolver service's lookup table.

  that contains a copy of the updated peer node entry.

  that uniquely identifies a specific peer node entry and provides updated information for it.